"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Media = void 0;
const axios_1 = __importDefault(require("axios"));
const path_1 = __importDefault(require("path"));
const model_1 = __importDefault(require("../lib/model"));
const formstream = require('formstream');
class Media extends model_1.default {
    constructor() {
        super(...arguments);
        this.type = 'image';
        // One url of media
        this.src = '';
    }
    static async create(media) {
        const { data: buffer } = await axios_1.default({
            url: media.src,
            responseType: 'arraybuffer'
        });
        const form = formstream();
        form.buffer('media', buffer, path_1.default.basename(media.src));
        const { data } = await this.request.post('/material/add_material', form, {
            headers: form.headers(),
            params: {
                access_token: this.accessToken,
                type: media.type
            }
        });
        return data;
    }
}
exports.Media = Media;
