"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const wechat_1 = __importDefault(require("../lib/wechat"));
const article_1 = require("../models/article");
mocha_1.describe('Wechat Article API', function () {
    mocha_1.it('expect work', async () => {
        this.timeout(20000);
        const wechat = new wechat_1.default(process.env.APP_ID || '', process.env.APP_SECRET || '');
        await article_1.Article.init({ wechat });
        const content = `
      <img src="https://leancloud-gold-cdn.xitu.io/bdfecd06f90e24f88946.jpeg">
      <span style="background-image: url(https://img.alicdn.com/tfs/TB1Yycwyrj1gK0jSZFuXXcrHpXa-32-32.png); display: inline-block; width: 18px; height: 18px; background-size: 18px; background-repeat: no-repeat; background-position: center">
    `;
        const data = await article_1.Article.create({
            thumbMediaId: 'yspyRwTb0m9UyK78TLER8E_wdRSWjp6KJF8d2p_vVP4',
            title: 'Hello, world',
            author: 'shanyue',
            showCoverPic: 0,
            content
        });
        chai_1.expect(data.media_id).length.to.gt(10);
    });
});
