"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const wechat_1 = __importDefault(require("../lib/wechat"));
const news_1 = require("../models/news");
mocha_1.describe('Wechat News API', function () {
    this.timeout(200000);
    mocha_1.it('expect work', async () => {
        const wechat = new wechat_1.default(process.env.APP_ID || '', process.env.APP_SECRET || '');
        await news_1.News.init({ wechat });
        await news_1.News.init({ wechat });
        const content = `
      <img src="https://leancloud-gold-cdn.xitu.io/bdfecd06f90e24f88946.jpeg">
      <span style="background-image: url(https://img.alicdn.com/tfs/TB1Yycwyrj1gK0jSZFuXXcrHpXa-32-32.png); display: inline-block; width: 18px; height: 18px; background-size: 18px; background-repeat: no-repeat; background-position: center">
    `;
        const data = await news_1.News.create([
            {
                thumbMediaId: 'yspyRwTb0m9UyK78TLER8E_wdRSWjp6KJF8d2p_vVP4',
                title: 'Hello, shanyue',
                author: 'shanyue',
                showCoverPic: 0,
                content
            },
            {
                thumbMediaId: 'yspyRwTb0m9UyK78TLER8E_wdRSWjp6KJF8d2p_vVP4',
                title: 'Hello, daxiange',
                author: 'shanyue',
                showCoverPic: 0,
                content
            }
        ]);
        chai_1.expect(data.media_id).length.to.gt(10);
    });
});
