"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mocha_1 = require("mocha");
const chai_1 = require("chai");
const wechat_1 = __importDefault(require("../lib/wechat"));
mocha_1.describe('Wechat API', function () {
    mocha_1.it('expect work', async () => {
        const wechat = new wechat_1.default(process.env.APP_ID || '', process.env.APP_SECRET || '');
        const token = await wechat.getAccessToken();
        // 生成的 access_token 字符串长度为 157
        chai_1.expect(token).to.length(157);
    });
    mocha_1.it('expect work with global cache', async () => {
        const cache = {};
        const wechat = new wechat_1.default(process.env.APP_ID || '', process.env.APP_SECRET || '', () => {
            return cache.token;
        }, (token) => {
            cache.token = token;
        });
        const token = await wechat.getAccessToken();
        // 生成的 access_token 字符串长度为 157
        chai_1.expect(token).to.length(157);
        chai_1.expect(token).to.equal(cache.token);
    });
});
